#
# spec file for package publicsuffix
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 yaneti@declera.com
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           publicsuffix
Version:        20160731
Release:        2.5
Summary:        Cross-vendor public domain suffix database
License:        MPL-2.0
Group:          Productivity/Networking/Other
Url:            https://publicsuffix.org/
Source0:        https://raw.githubusercontent.com/publicsuffix/list/f5dc88f0ad8a07c33028bae2f5379dd6e55d3b1a/public_suffix_list.dat
Source1:        https://raw.githubusercontent.com/publicsuffix/list/master/LICENSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Public Suffix List is a cross-vendor initiative to provide
an accurate list of domain name suffixes, maintained by the hard work
of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where
cookies may and may not be set, protecting the user from being
tracked across sites.

%prep
%setup -q -c -T
cp -av %{SOURCE1} .

%build

%install
install -m 644 -p -D %{SOURCE0} %{buildroot}/%{_datadir}/%{name}/public_suffix_list.dat

%files
%defattr(-,root,root)
%doc LICENSE
%{_datadir}/%{name}

%changelog
* Mon Aug  1 2016 astieger@suse.com
- 2016-07-31 update:
  * Add meteorapp.com
  * Add Drud domains
  * Add backplaneapp.io
  * Add gitlab.io
  * Add static.land
  * Add stackspace.space
  * Add browsersafetymark.io
* Mon Jul  4 2016 astieger@suse.com
- 2016-07-03 update:
  * Add mycd.eu
  * Add beep.pl
  * Add hepforge.org
  * Add certmgr.org
  * Add fhapp.xyz
  * Update .jp suffixes
  * Add tuxfamily.com
  * Add evennode.com
  * Add realm.cz
  * Add logoip.de, logoip.com
  * Add virtueldomein.nl
  * Add *.magnetosite.cloud
  * Add cyryptonomic.net
  * Correct Amazon AWS EC2 China
  * Add hasura-app.io.
  * Update .BA suffixes
* Fri Jun 10 2016 astieger@suse.com
- 2016-06-10 update:
  * Add spacekit.io
  * Add potager.org domains
  * Add boxfuse.io
* Fri May 27 2016 astieger@suse.com
- 2016-05-25 update:
  * Add No-IP.com's domains
  * Add pgfog.com
  * Add Freebox domains
  * Add e4.cz
  * Add skyhat.io
  * Add dy.fi, tunk.org
  * Update .jp
* Tue May 10 2016 astieger@suse.com
- 2016-05-09 update:
  * Add new gTLDs up to 2016-05-09
  * Add dnshome.de
* Fri Apr 22 2016 astieger@suse.com
- 2016-04-20 update:
  * Add ownprovider.com for OwnProvider
  * Add nerdpol.ovh part of nsupdate.info dyndns service
  * Add townnews customer domain suffixes
  * Add on-aptible.com
  * Add router.management
  * Add compute.estate and alces.network
  * Update .zm TLD
  * Add GoIP DNS Services
  * Add chirurgiens-dentistes-en-france.fr
  * Add myfritz.net for AVM
  * Add nsupdate.info dyndns service
  * Add dedyn.io
  * Google: Add *.0emm.com
  * Add daplie.me
  * Add hzc.io
  * Add new gTLDs up to 2016-04-04
* Thu Mar 31 2016 idonmez@suse.com
- 2016-03-15 update:
  * add .xn--e1a4c, oy.lc
  * add new gTLDs through 2016-03-25
* Sat Mar 12 2016 astieger@suse.com
- 2016-03-10 update:
  * add co.dk, biz.dk, firm.dk, store.dk, reg.dk
  * add cyon.link and cyon.site
  * remove patheon.io, add patheonsite.io
* Sun Mar  6 2016 astieger@suse.com
- 2016-03-02 update:
  * add apps.fbsbx.com
  * update github list
  * add new gTLDs up through 2016-03-01
* Fri Feb 19 2016 astieger@suse.com
- 2016-02-19 update:
  * Add xenapponazure.com to the PSL
  * Add dynv6 dynamic DNS service
  * Add new .pro suffixes
  * Update AWS domains
* Tue Feb  2 2016 psimons@suse.com
- 2016-02-02 update:
  * add *.i.ng
  * update ng reference URL
  * sort entries alphabetically
* Fri Jan 29 2016 astieger@suse.com
- 2016-01-29 update:
  * Add Drobo Dynamic DNS service
  * add TLD .co.cz
  * Minor change for .rs and .срб (xn--90a3ac) domains
  * Add prgmr.com customer domain suffix
* Thu Jan 21 2016 astieger@suse.com
- 2016-01-15 update:
  * Clean-up some inconsistency of data
  * Add additional entries to .GY ccTLD
  * Remove .TP, TLD has been decommissioned
  * Renamed agrica.za to agric.za
* Thu Jan  7 2016 astieger@suse.com
- 2016-01-06 update:
  * Add cloudfunctions.net to Google, Inc. section
  * Add new gTLDs up to 2016-01-04
* Mon Dec  7 2015 astieger@suse.com
- update to 20151205
* Tue Dec  1 2015 astieger@suse.com
- update to 20151130:
  * Remove .an domains from the list (deleted from root zone).
  * Update .ni to have explicit list.
  * Remove taxi.aero, marketplace.aero
* Sun Nov 15 2015 astieger@suse.com
- initial package for openSUSE / SLE based on Fedora spec
- update to 20151112
